apiVersion: autoscaling/v2beta1
kind: HorizontalPodAutoscaler
metadata:
  annotations:
    annotationsKey: annotationsValue
  creationTimestamp: "2008-01-01T01:01:01Z"
  deletionGracePeriodSeconds: 10
  deletionTimestamp: "2009-01-01T01:01:01Z"
  finalizers:
  - finalizersValue
  generateName: generateNameValue
  generation: 7
  labels:
    labelsKey: labelsValue
  managedFields:
  - apiVersion: apiVersionValue
    fieldsType: fieldsTypeValue
    fieldsV1: {}
    manager: managerValue
    operation: operationValue
    subresource: subresourceValue
    time: "2004-01-01T01:01:01Z"
  name: nameValue
  namespace: namespaceValue
  ownerReferences:
  - apiVersion: apiVersionValue
    blockOwnerDeletion: true
    controller: true
    kind: kindValue
    name: nameValue
    uid: uidValue
  resourceVersion: resourceVersionValue
  selfLink: selfLinkValue
  uid: uidValue
spec:
  maxReplicas: 3
  metrics:
  - containerResource:
      container: containerValue
      name: nameValue
      targetAverageUtilization: 2
      targetAverageValue: "0"
    external:
      metricName: metricNameValue
      metricSelector:
        matchExpressions:
        - key: keyValue
          operator: operatorValue
          values:
          - valuesValue
        matchLabels:
          matchLabelsKey: matchLabelsValue
      targetAverageValue: "0"
      targetValue: "0"
    object:
      averageValue: "0"
      metricName: metricNameValue
      selector:
        matchExpressions:
        - key: keyValue
          operator: operatorValue
          values:
          - valuesValue
        matchLabels:
          matchLabelsKey: matchLabelsValue
      target:
        apiVersion: apiVersionValue
        kind: kindValue
        name: nameValue
      targetValue: "0"
    pods:
      metricName: metricNameValue
      selector:
        matchExpressions:
        - key: keyValue
          operator: operatorValue
          values:
          - valuesValue
        matchLabels:
          matchLabelsKey: matchLabelsValue
      targetAverageValue: "0"
    resource:
      name: nameValue
      targetAverageUtilization: 2
      targetAverageValue: "0"
    type: typeValue
  minReplicas: 2
  scaleTargetRef:
    apiVersion: apiVersionValue
    kind: kindValue
    name: nameValue
status:
  conditions:
  - lastTransitionTime: "2003-01-01T01:01:01Z"
    message: messageValue
    reason: reasonValue
    status: statusValue
    type: typeValue
  currentMetrics:
  - containerResource:
      container: containerValue
      currentAverageUtilization: 2
      currentAverageValue: "0"
      name: nameValue
    external:
      currentAverageValue: "0"
      currentValue: "0"
      metricName: metricNameValue
      metricSelector:
        matchExpressions:
        - key: keyValue
          operator: operatorValue
          values:
          - valuesValue
        matchLabels:
          matchLabelsKey: matchLabelsValue
    object:
      averageValue: "0"
      currentValue: "0"
      metricName: metricNameValue
      selector:
        matchExpressions:
        - key: keyValue
          operator: operatorValue
          values:
          - valuesValue
        matchLabels:
          matchLabelsKey: matchLabelsValue
      target:
        apiVersion: apiVersionValue
        kind: kindValue
        name: nameValue
    pods:
      currentAverageValue: "0"
      metricName: metricNameValue
      selector:
        matchExpressions:
        - key: keyValue
          operator: operatorValue
          values:
          - valuesValue
        matchLabels:
          matchLabelsKey: matchLabelsValue
    resource:
      currentAverageUtilization: 2
      currentAverageValue: "0"
      name: nameValue
    type: typeValue
  currentReplicas: 3
  desiredReplicas: 4
  lastScaleTime: "2002-01-01T01:01:01Z"
  observedGeneration: 1
